Bug 1991752 - Intel AX210 Firmware Reset and Slow Speed
Summary: Intel AX210 Firmware Reset and Slow Speed
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 34
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-09 21:56 UTC by K. Anderson
Modified: 2022-06-07 22:43 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-07 22:43:53 UTC
Type: Bug


Attachments (Terms of Use)

Description K. Anderson 2021-08-09 21:56:57 UTC
1. Please describe the problem:
Performing a large amount of network i/o causes the Intel driver to reset due to a firmware error. After that performance drops to around 500Kb/s till I disable networking and reenable it.


2. What is the Version-Release number of the kernel:
5.13.7-200.fc34.x86_64


3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :
Unknown but I had similar issues with an Intel AX201 on Fedora 33


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:
Performing large network transfers seems to trigger the problem more often but I have not found a way to reliably trigger it outside of that.


5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:
Yes


6. Are you running any modules that not shipped with directly Fedora's kernel?:
No


7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

[31137.470657] iwlwifi 0000:aa:00.0: regular scan timed out
[31137.472385] iwlwifi 0000:aa:00.0: Microcode SW error detected. Restarting 0x0.
[31137.472645] iwlwifi 0000:aa:00.0: Start IWL Error Log Dump:
[31137.472647] iwlwifi 0000:aa:00.0: Status: 0x00000040, count: 6
[31137.472648] iwlwifi 0000:aa:00.0: Loaded firmware version: 63.c04f3485.0 ty-a0-gf-a0-63.ucode
[31137.472650] iwlwifi 0000:aa:00.0: 0x00000084 | NMI_INTERRUPT_UNKNOWN       
[31137.472651] iwlwifi 0000:aa:00.0: 0x00008210 | trm_hw_status0
[31137.472652] iwlwifi 0000:aa:00.0: 0x00000000 | trm_hw_status1
[31137.472653] iwlwifi 0000:aa:00.0: 0x004DA004 | branchlink2
[31137.472653] iwlwifi 0000:aa:00.0: 0x000090BC | interruptlink1
[31137.472654] iwlwifi 0000:aa:00.0: 0x000090BC | interruptlink2
[31137.472655] iwlwifi 0000:aa:00.0: 0x0000BD74 | data1
[31137.472655] iwlwifi 0000:aa:00.0: 0x01000000 | data2
[31137.472656] iwlwifi 0000:aa:00.0: 0x00000000 | data3
[31137.472657] iwlwifi 0000:aa:00.0: 0x4381219C | beacon time
[31137.472657] iwlwifi 0000:aa:00.0: 0x92DABE35 | tsf low
[31137.472658] iwlwifi 0000:aa:00.0: 0x00000204 | tsf hi
[31137.472658] iwlwifi 0000:aa:00.0: 0x00000000 | time gp1
[31137.472659] iwlwifi 0000:aa:00.0: 0x15203FDB | time gp2
[31137.472659] iwlwifi 0000:aa:00.0: 0x00000001 | uCode revision type
[31137.472671] iwlwifi 0000:aa:00.0: 0x0000003F | uCode version major
[31137.472672] iwlwifi 0000:aa:00.0: 0xC04F3485 | uCode version minor
[31137.472672] iwlwifi 0000:aa:00.0: 0x00000420 | hw version
[31137.472673] iwlwifi 0000:aa:00.0: 0x18C89002 | board version
[31137.472674] iwlwifi 0000:aa:00.0: 0x8009FC18 | hcmd
[31137.472674] iwlwifi 0000:aa:00.0: 0x24020000 | isr0
[31137.472675] iwlwifi 0000:aa:00.0: 0x01400000 | isr1
[31137.472675] iwlwifi 0000:aa:00.0: 0x48F00002 | isr2
[31137.472676] iwlwifi 0000:aa:00.0: 0x00C37FCC | isr3
[31137.472676] iwlwifi 0000:aa:00.0: 0x00200000 | isr4
[31137.472677] iwlwifi 0000:aa:00.0: 0x0595001C | last cmd Id
[31137.472677] iwlwifi 0000:aa:00.0: 0x0000BD74 | wait_event
[31137.472678] iwlwifi 0000:aa:00.0: 0x00000094 | l2p_control
[31137.472678] iwlwifi 0000:aa:00.0: 0x00010034 | l2p_duration
[31137.472679] iwlwifi 0000:aa:00.0: 0x0000000F | l2p_mhvalid
[31137.472679] iwlwifi 0000:aa:00.0: 0x00000000 | l2p_addr_match
[31137.472680] iwlwifi 0000:aa:00.0: 0x00000009 | lmpm_pmg_sel
[31137.472680] iwlwifi 0000:aa:00.0: 0x00000000 | timestamp
[31137.472681] iwlwifi 0000:aa:00.0: 0x00002088 | flow_handler
[31137.472722] iwlwifi 0000:aa:00.0: Start IWL Error Log Dump:
[31137.472723] iwlwifi 0000:aa:00.0: Status: 0x00000040, count: 7
[31137.472723] iwlwifi 0000:aa:00.0: 0x20000066 | NMI_INTERRUPT_HOST
[31137.472724] iwlwifi 0000:aa:00.0: 0x00000000 | umac branchlink1
[31137.472725] iwlwifi 0000:aa:00.0: 0x8045CF40 | umac branchlink2
[31137.472725] iwlwifi 0000:aa:00.0: 0x8047E3DE | umac interruptlink1
[31137.472726] iwlwifi 0000:aa:00.0: 0xC0084414 | umac interruptlink2
[31137.472726] iwlwifi 0000:aa:00.0: 0x01000000 | umac data1
[31137.472727] iwlwifi 0000:aa:00.0: 0xC0084414 | umac data2
[31137.472727] iwlwifi 0000:aa:00.0: 0x00000000 | umac data3
[31137.472728] iwlwifi 0000:aa:00.0: 0x0000003F | umac major
[31137.472728] iwlwifi 0000:aa:00.0: 0xC04F3485 | umac minor
[31137.472729] iwlwifi 0000:aa:00.0: 0x15204506 | frame pointer
[31137.472729] iwlwifi 0000:aa:00.0: 0xC08861C4 | stack pointer
[31137.472730] iwlwifi 0000:aa:00.0: 0x00F2010D | last host cmd
[31137.472730] iwlwifi 0000:aa:00.0: 0x00000404 | isr status reg
[31137.472924] iwlwifi 0000:aa:00.0: IML/ROM dump:
[31137.472924] iwlwifi 0000:aa:00.0: 0x00000B03 | IML/ROM error/state
[31137.472935] iwlwifi 0000:aa:00.0: 0x00007963 | IML/ROM data1
[31137.472945] iwlwifi 0000:aa:00.0: 0x00000080 | IML/ROM WFPM_AUTH_KEY_0
[31137.472952] iwlwifi 0000:aa:00.0: Fseq Registers:
[31137.472955] iwlwifi 0000:aa:00.0: 0x60000100 | FSEQ_ERROR_CODE
[31137.472958] iwlwifi 0000:aa:00.0: 0x00440003 | FSEQ_TOP_INIT_VERSION
[31137.472961] iwlwifi 0000:aa:00.0: 0x00080009 | FSEQ_CNVIO_INIT_VERSION
[31137.472964] iwlwifi 0000:aa:00.0: 0x0000A652 | FSEQ_OTP_VERSION
[31137.472968] iwlwifi 0000:aa:00.0: 0x00000002 | FSEQ_TOP_CONTENT_VERSION
[31137.472971] iwlwifi 0000:aa:00.0: 0x4552414E | FSEQ_ALIVE_TOKEN
[31137.472974] iwlwifi 0000:aa:00.0: 0x00400410 | FSEQ_CNVI_ID
[31137.472977] iwlwifi 0000:aa:00.0: 0x00400410 | FSEQ_CNVR_ID
[31137.472980] iwlwifi 0000:aa:00.0: 0x00400410 | CNVI_AUX_MISC_CHIP
[31137.472986] iwlwifi 0000:aa:00.0: 0x00400410 | CNVR_AUX_MISC_CHIP
[31137.472991] iwlwifi 0000:aa:00.0: 0x00009061 | CNVR_SCU_SD_REGS_SD_REG_DIG_DCDC_VTRIM
[31137.472996] iwlwifi 0000:aa:00.0: 0x00000061 | CNVR_SCU_SD_REGS_SD_REG_ACTIVE_VDIG_MIRROR
[31137.473231] iwlwifi 0000:aa:00.0: WRT: Collecting data: ini trigger 4 fired (delay=0ms).
[31137.473232] ieee80211 phy0: Hardware restart was requested
[31138.463780] iwlwifi 0000:aa:00.0: Got NSS = 4 - trimming to 2
[31138.470286] iwlwifi 0000:aa:00.0: Got NSS = 4 - trimming to 2

Comment 1 K. Anderson 2021-10-22 22:32:24 UTC
I can reliably reproduce this by running iperf and I can consistently get a firmware reset in around 5 minutes even with the latest Fedora kernel

Comment 2 Adam Miller 2021-11-22 14:17:22 UTC
I'm experiencing this issue on the latest Fedora 35 kernel.

kernel-5.14.18-300.fc35.x86_64


Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: Microcode SW error detected. Restarting 0x0.
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: Start IWL Error Log Dump:
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: Transport status: 0x0000004A, valid: 6
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: Loaded firmware version: 63.c04f3485.0 ty-a0-gf-a0-63.ucode
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00008200 | trm_hw_status0
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000000 | trm_hw_status1
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x004DA004 | branchlink2
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00016E4C | interruptlink1
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00016E4C | interruptlink2
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x004D4AE8 | data1
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000010 | data2
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000000 | data3
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x2F014B83 | beacon time
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x6417B490 | tsf low
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000226 | tsf hi
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000000 | time gp1
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x275D7043 | time gp2
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000001 | uCode revision type
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x0000003F | uCode version major
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0xC04F3485 | uCode version minor
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000420 | hw version
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00C89002 | board version
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x8065FD0B | hcmd
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x24020000 | isr0
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x01000000 | isr1
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x48B0000A | isr2
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00C37FCC | isr3
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000000 | isr4
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x05A9001C | last cmd Id
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x004D4AE8 | wait_event
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x000002C8 | l2p_control
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00018014 | l2p_duration
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x000000BF | l2p_mhvalid
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00EF00F8 | l2p_addr_match
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x0000000B | lmpm_pmg_sel
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000000 | timestamp
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00003008 | flow_handler
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: Start IWL Error Log Dump:
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: Transport status: 0x0000004A, valid: 7
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x20003463 | ADVANCED_SYSASSERT
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000000 | umac branchlink1
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x8045CF40 | umac branchlink2
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0xC00845F4 | umac interruptlink1
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000000 | umac interruptlink2
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x6417B482 | umac data1
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x275D7034 | umac data2
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x53D0FA70 | umac data3
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x0000003F | umac major
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0xC04F3485 | umac minor
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x275D703B | frame pointer
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0xC0885DF0 | stack pointer
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x003C010D | last host cmd
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000000 | isr status reg
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: IML/ROM dump:
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000B03 | IML/ROM error/state
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x000086DB | IML/ROM data1
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000080 | IML/ROM WFPM_AUTH_KEY_0
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: Fseq Registers:
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x60000000 | FSEQ_ERROR_CODE
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00440003 | FSEQ_TOP_INIT_VERSION
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00080009 | FSEQ_CNVIO_INIT_VERSION
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x0000A652 | FSEQ_OTP_VERSION
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000002 | FSEQ_TOP_CONTENT_VERSION
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x4552414E | FSEQ_ALIVE_TOKEN
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00400410 | FSEQ_CNVI_ID
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00400410 | FSEQ_CNVR_ID
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00400410 | CNVI_AUX_MISC_CHIP
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00400410 | CNVR_AUX_MISC_CHIP
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00009061 | CNVR_SCU_SD_REGS_SD_REG_DIG_DCDC_VTRIM
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: 0x00000061 | CNVR_SCU_SD_REGS_SD_REG_ACTIVE_VDIG_MIRROR
Nov 22 08:11:45 framework kernel: iwlwifi 0000:aa:00.0: WRT: Collecting data: ini trigger 4 fired (delay=0ms).

Comment 3 Tanner Ryan 2021-12-30 19:43:38 UTC
Can also be repeated on 5.15.11-200.fc35.x86_64

[ 5912.195225] iwlwifi 0000:00:14.3: Microcode SW error detected. Restarting 0x0.
[ 5912.195596] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
[ 5912.195599] iwlwifi 0000:00:14.3: Transport status: 0x0000004A, valid: 6
[ 5912.195602] iwlwifi 0000:00:14.3: Loaded firmware version: 63.c04f3485.0 QuZ-a0-hr-b0-63.ucode
[ 5912.195604] iwlwifi 0000:00:14.3: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL    
[ 5912.195607] iwlwifi 0000:00:14.3: 0x0080A210 | trm_hw_status0
[ 5912.195609] iwlwifi 0000:00:14.3: 0x00000000 | trm_hw_status1
[ 5912.195610] iwlwifi 0000:00:14.3: 0x004CAD42 | branchlink2
[ 5912.195612] iwlwifi 0000:00:14.3: 0x004C17C6 | interruptlink1
[ 5912.195614] iwlwifi 0000:00:14.3: 0x004C17C6 | interruptlink2
[ 5912.195616] iwlwifi 0000:00:14.3: 0x0000AE56 | data1
[ 5912.195617] iwlwifi 0000:00:14.3: 0x00001000 | data2
[ 5912.195626] iwlwifi 0000:00:14.3: 0x00000000 | data3
[ 5912.195628] iwlwifi 0000:00:14.3: 0x85815399 | beacon time
[ 5912.195630] iwlwifi 0000:00:14.3: 0xB8FC9F06 | tsf low
[ 5912.195632] iwlwifi 0000:00:14.3: 0x000000DF | tsf hi
[ 5912.195633] iwlwifi 0000:00:14.3: 0x00000000 | time gp1
[ 5912.195635] iwlwifi 0000:00:14.3: 0x10289E25 | time gp2
[ 5912.195636] iwlwifi 0000:00:14.3: 0x00000001 | uCode revision type
[ 5912.195638] iwlwifi 0000:00:14.3: 0x0000003F | uCode version major
[ 5912.195639] iwlwifi 0000:00:14.3: 0xC04F3485 | uCode version minor
[ 5912.195641] iwlwifi 0000:00:14.3: 0x00000351 | hw version
[ 5912.195643] iwlwifi 0000:00:14.3: 0x00489004 | board version
[ 5912.195644] iwlwifi 0000:00:14.3: 0x8022FC03 | hcmd
[ 5912.195646] iwlwifi 0000:00:14.3: 0x24020000 | isr0
[ 5912.195647] iwlwifi 0000:00:14.3: 0x00000000 | isr1
[ 5912.195649] iwlwifi 0000:00:14.3: 0x08F00002 | isr2
[ 5912.195650] iwlwifi 0000:00:14.3: 0x00C37FCC | isr3
[ 5912.195652] iwlwifi 0000:00:14.3: 0x00000000 | isr4
[ 5912.195653] iwlwifi 0000:00:14.3: 0x0583001C | last cmd Id
[ 5912.195655] iwlwifi 0000:00:14.3: 0x0000AE56 | wait_event
[ 5912.195657] iwlwifi 0000:00:14.3: 0x00000094 | l2p_control
[ 5912.195658] iwlwifi 0000:00:14.3: 0x00010034 | l2p_duration
[ 5912.195660] iwlwifi 0000:00:14.3: 0x0000000F | l2p_mhvalid
[ 5912.195662] iwlwifi 0000:00:14.3: 0x00000000 | l2p_addr_match
[ 5912.195671] iwlwifi 0000:00:14.3: 0x00000009 | lmpm_pmg_sel
[ 5912.195673] iwlwifi 0000:00:14.3: 0x00000000 | timestamp
[ 5912.195675] iwlwifi 0000:00:14.3: 0x00008880 | flow_handler
[ 5912.195737] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
[ 5912.195739] iwlwifi 0000:00:14.3: Transport status: 0x0000004A, valid: 7
[ 5912.195742] iwlwifi 0000:00:14.3: 0x20003463 | ADVANCED_SYSASSERT
[ 5912.195744] iwlwifi 0000:00:14.3: 0x00000000 | umac branchlink1
[ 5912.195746] iwlwifi 0000:00:14.3: 0x8045544E | umac branchlink2
[ 5912.195747] iwlwifi 0000:00:14.3: 0xC0084268 | umac interruptlink1
[ 5912.195749] iwlwifi 0000:00:14.3: 0x00000000 | umac interruptlink2
[ 5912.195750] iwlwifi 0000:00:14.3: 0xB8FC9EFB | umac data1
[ 5912.195752] iwlwifi 0000:00:14.3: 0x10289E19 | umac data2
[ 5912.195754] iwlwifi 0000:00:14.3: 0xA9D5463C | umac data3
[ 5912.195755] iwlwifi 0000:00:14.3: 0x0000003F | umac major
[ 5912.195757] iwlwifi 0000:00:14.3: 0xC04F3485 | umac minor
[ 5912.195758] iwlwifi 0000:00:14.3: 0x10289E20 | frame pointer
[ 5912.195759] iwlwifi 0000:00:14.3: 0xC0885E0C | stack pointer
[ 5912.195761] iwlwifi 0000:00:14.3: 0x00DF010D | last host cmd
[ 5912.195762] iwlwifi 0000:00:14.3: 0x00000000 | isr status reg
[ 5912.195831] iwlwifi 0000:00:14.3: IML/ROM dump:
[ 5912.195832] iwlwifi 0000:00:14.3: 0x00000003 | IML/ROM error/state
[ 5912.195855] iwlwifi 0000:00:14.3: 0x000059CE | IML/ROM data1
[ 5912.195864] iwlwifi 0000:00:14.3: 0x00000080 | IML/ROM WFPM_AUTH_KEY_0
[ 5912.195870] iwlwifi 0000:00:14.3: Fseq Registers:
[ 5912.195873] iwlwifi 0000:00:14.3: 0x60000041 | FSEQ_ERROR_CODE
[ 5912.195892] iwlwifi 0000:00:14.3: 0x00290033 | FSEQ_TOP_INIT_VERSION
[ 5912.195912] iwlwifi 0000:00:14.3: 0x00090006 | FSEQ_CNVIO_INIT_VERSION
[ 5912.195931] iwlwifi 0000:00:14.3: 0x0000A481 | FSEQ_OTP_VERSION
[ 5912.195951] iwlwifi 0000:00:14.3: 0x00000003 | FSEQ_TOP_CONTENT_VERSION
[ 5912.195971] iwlwifi 0000:00:14.3: 0x4552414E | FSEQ_ALIVE_TOKEN
[ 5912.195991] iwlwifi 0000:00:14.3: 0x20000302 | FSEQ_CNVI_ID
[ 5912.195994] iwlwifi 0000:00:14.3: 0x01300504 | FSEQ_CNVR_ID
[ 5912.196013] iwlwifi 0000:00:14.3: 0x20000302 | CNVI_AUX_MISC_CHIP
[ 5912.196018] iwlwifi 0000:00:14.3: 0x01300504 | CNVR_AUX_MISC_CHIP
[ 5912.196039] iwlwifi 0000:00:14.3: 0x05B0905B | CNVR_SCU_SD_REGS_SD_REG_DIG_DCDC_VTRIM
[ 5912.196060] iwlwifi 0000:00:14.3: 0x0000025B | CNVR_SCU_SD_REGS_SD_REG_ACTIVE_VDIG_MIRROR
[ 5912.196185] iwlwifi 0000:00:14.3: WRT: Collecting data: ini trigger 4 fired (delay=0ms).

Comment 4 K. Anderson 2021-12-30 23:58:53 UTC
The fix for this should be in 5.15.12. The patch is being backported in https://bugzilla.redhat.com/show_bug.cgi?id=2035833

Comment 5 Christian Kujau 2022-01-03 10:33:23 UTC
Just happened again with 5.15.12-200.fc35.x86_64 on a Thinkpad T470 with:

# lspci -s 04:00.0 -v
04:00.0 Network controller: Intel Corporation Wireless 8265 / 8275 (rev 78)
        Subsystem: Intel Corporation Dual Band Wireless-AC 8265
        Flags: bus master, fast devsel, latency 0, IRQ 136
        Memory at ec100000 (64-bit, non-prefetchable) [size=8K]
        Capabilities: [c8] Power Management version 3
        Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [40] Express Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Device Serial Number e4-70-b8-ff-ff-3f-cc-8f
        Capabilities: [14c] Latency Tolerance Reporting
        Capabilities: [154] L1 PM Substates
        Kernel driver in use: iwlwifi
        Kernel modules: iwlwifi


[ 4944.261430] iwlwifi 0000:04:00.0: Microcode SW error detected.  Restarting 0x2000000.
[ 4944.261598] iwlwifi 0000:04:00.0: Start IWL Error Log Dump:
[ 4944.261602] iwlwifi 0000:04:00.0: Transport status: 0x0000004A, valid: 6
[ 4944.261605] iwlwifi 0000:04:00.0: Loaded firmware version: 36.ca7b901d.0 8265-36.ucode
[ 4944.261608] iwlwifi 0000:04:00.0: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL    
[ 4944.261611] iwlwifi 0000:04:00.0: 0x00000083 | trm_hw_status0
[ 4944.261613] iwlwifi 0000:04:00.0: 0x00000000 | trm_hw_status1
[ 4944.261615] iwlwifi 0000:04:00.0: 0x00024A8C | branchlink2
[ 4944.261617] iwlwifi 0000:04:00.0: 0x0003AC1E | interruptlink1
[ 4944.261619] iwlwifi 0000:04:00.0: 0x00004DD2 | interruptlink2
[ 4944.261621] iwlwifi 0000:04:00.0: 0x00000000 | data1
[ 4944.261622] iwlwifi 0000:04:00.0: 0x00001000 | data2
[ 4944.261624] iwlwifi 0000:04:00.0: 0x02039842 | data3
[ 4944.261626] iwlwifi 0000:04:00.0: 0xEB015A99 | beacon time
[ 4944.261628] iwlwifi 0000:04:00.0: 0x12D79537 | tsf low
[ 4944.261630] iwlwifi 0000:04:00.0: 0x0000001A | tsf hi
[ 4944.261632] iwlwifi 0000:04:00.0: 0x00000000 | time gp1
[ 4944.261634] iwlwifi 0000:04:00.0: 0x24C28E3E | time gp2
[ 4944.261636] iwlwifi 0000:04:00.0: 0x00000001 | uCode revision type
[ 4944.261638] iwlwifi 0000:04:00.0: 0x00000024 | uCode version major
[ 4944.261639] iwlwifi 0000:04:00.0: 0xCA7B901D | uCode version minor
[ 4944.261641] iwlwifi 0000:04:00.0: 0x00000230 | hw version
[ 4944.261643] iwlwifi 0000:04:00.0: 0x00C89000 | board version
[ 4944.261645] iwlwifi 0000:04:00.0: 0x0063014E | hcmd
[ 4944.261647] iwlwifi 0000:04:00.0: 0x26EE2002 | isr0
[ 4944.261649] iwlwifi 0000:04:00.0: 0x11800000 | isr1
[ 4944.261651] iwlwifi 0000:04:00.0: 0x0800181A | isr2
[ 4944.261653] iwlwifi 0000:04:00.0: 0x40417D80 | isr3
[ 4944.261655] iwlwifi 0000:04:00.0: 0x00000000 | isr4
[ 4944.261657] iwlwifi 0000:04:00.0: 0x0063014E | last cmd Id
[ 4944.261659] iwlwifi 0000:04:00.0: 0x00000000 | wait_event
[ 4944.261660] iwlwifi 0000:04:00.0: 0x00004A88 | l2p_control
[ 4944.261674] iwlwifi 0000:04:00.0: 0x00019C24 | l2p_duration
[ 4944.261676] iwlwifi 0000:04:00.0: 0x000003BF | l2p_mhvalid
[ 4944.261678] iwlwifi 0000:04:00.0: 0x000000EF | l2p_addr_match
[ 4944.261680] iwlwifi 0000:04:00.0: 0x0000001D | lmpm_pmg_sel
[ 4944.261682] iwlwifi 0000:04:00.0: 0x10032209 | timestamp
[ 4944.261684] iwlwifi 0000:04:00.0: 0x05CC88A0 | flow_handler
[ 4944.261855] iwlwifi 0000:04:00.0: Start IWL Error Log Dump:
[ 4944.261857] iwlwifi 0000:04:00.0: Transport status: 0x0000004A, valid: 7
[ 4944.261860] iwlwifi 0000:04:00.0: 0x00000067 | ADVANCED_SYSASSERT
[ 4944.261862] iwlwifi 0000:04:00.0: 0x00000000 | umac branchlink1
[ 4944.261864] iwlwifi 0000:04:00.0: 0xC008694C | umac branchlink2
[ 4944.261866] iwlwifi 0000:04:00.0: 0xC0083B0C | umac interruptlink1
[ 4944.261868] iwlwifi 0000:04:00.0: 0xC0083B0C | umac interruptlink2
[ 4944.261870] iwlwifi 0000:04:00.0: 0x00004000 | umac data1
[ 4944.261872] iwlwifi 0000:04:00.0: 0xC0083B0C | umac data2
[ 4944.261874] iwlwifi 0000:04:00.0: 0xDEADBEEF | umac data3
[ 4944.261875] iwlwifi 0000:04:00.0: 0x00000024 | umac major
[ 4944.261877] iwlwifi 0000:04:00.0: 0xCA7B901D | umac minor
[ 4944.261879] iwlwifi 0000:04:00.0: 0xC088628C | frame pointer
[ 4944.261881] iwlwifi 0000:04:00.0: 0xC088628C | stack pointer
[ 4944.261883] iwlwifi 0000:04:00.0: 0x0063014E | last host cmd
[ 4944.261885] iwlwifi 0000:04:00.0: 0x00000000 | isr status reg
[ 4944.262020] iwlwifi 0000:04:00.0: IML/ROM dump:
[ 4944.262021] iwlwifi 0000:04:00.0: 0x00000000 | IML/ROM error/state
[ 4944.262085] iwlwifi 0000:04:00.0: 0x00000003 | IML/ROM data1
[ 4944.262094] iwlwifi 0000:04:00.0: Fseq Registers:
[ 4944.262143] iwlwifi 0000:04:00.0: 0x2547F6BE | FSEQ_ERROR_CODE
[ 4944.262192] iwlwifi 0000:04:00.0: 0xA444D22A | FSEQ_TOP_INIT_VERSION
[ 4944.262247] iwlwifi 0000:04:00.0: 0x94038394 | FSEQ_CNVIO_INIT_VERSION
[ 4944.262302] iwlwifi 0000:04:00.0: 0x0000A10B | FSEQ_OTP_VERSION
[ 4944.262357] iwlwifi 0000:04:00.0: 0x23F1052F | FSEQ_TOP_CONTENT_VERSION
[ 4944.262407] iwlwifi 0000:04:00.0: 0x2F7FB649 | FSEQ_ALIVE_TOKEN
[ 4944.262456] iwlwifi 0000:04:00.0: 0xCD53F09A | FSEQ_CNVI_ID
[ 4944.262511] iwlwifi 0000:04:00.0: 0x02B66BED | FSEQ_CNVR_ID
[ 4944.262566] iwlwifi 0000:04:00.0: 0x00000010 | CNVI_AUX_MISC_CHIP
[ 4944.262701] iwlwifi 0000:04:00.0: 0x0BADCAFE | CNVR_AUX_MISC_CHIP
[ 4944.262758] iwlwifi 0000:04:00.0: 0x0BADCAFE | CNVR_SCU_SD_REGS_SD_REG_DIG_DCDC_VTRIM
[ 4944.262816] iwlwifi 0000:04:00.0: 0x0BADCAFE | CNVR_SCU_SD_REGS_SD_REG_ACTIVE_VDIG_MIRROR
[ 4944.262871] iwlwifi 0000:04:00.0: Collecting data: trigger 2 fired.
[ 4944.262875] ieee80211 phy0: Hardware restart was requested
[...]

Comment 6 K. Anderson 2022-01-04 01:36:36 UTC
Hi Christian,

Since you are using a different adapter and firmware version it might be best to open a separate bug report as I am not sure it is the same issue.

- Kevin

Comment 7 Christian Kujau 2022-01-04 14:41:21 UTC
Sorry about that, I just noticed I reported the same for AC 8265 in bug 2024670. Again, sorry for the noise.

Comment 8 Ben Cotton 2022-05-12 15:51:09 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 9 Ben Cotton 2022-06-07 22:43:53 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.